<?php

namespace kernel\app_modules\card\models\forms;

use kernel\FormModel;

class CreateCardForm extends FormModel
{

    public function rules(): array
    {
        // Заполнить массив правил
        // Пример:
        // return [
        //     'label' => 'required|min-str-len:5|max-str-len:30',
        //     'entity' => 'required',
        //     'slug' => '',
        //     'status' => ''
        // ];
        return [
            'user_id' => 'required|alpha-numeric',
            'payment_type' => 'required|alpha-numeric',
            'balance' => 'alpha-numeric',
            'bank_id' => 'required|alpha-numeric',
            'info' => 'required|alpha-numeric',
            'program' => 'required|alpha-numeric',
            'cvc' => 'required|alpha-numeric',
            'pin' => 'required|alpha-numeric',
            'username' => 'required|min-str-len:5|max-str-len:20',
            'card_template_id' => 'required|alpha-numeric',
            'card_file_id' => 'alpha-numeric',
            'status' => '',
        ];
    }

}